Subject: Re: What is the reason behind not hiding git worktrees from git?

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Oct 2025 13:48:54 -0700

Sergey Organov <[email-masked]> writes:

> Also, I'm almost sure that the first thing almost every worktree novice
> does (I did), quite naturally, is:
>
> $ git wotktree add <branch>
>
> that happily succeeds /anywhere/ inside primary worktree without any
> warning for me. It probably should either have created $top/../<branch>
> instead, or refuse to proceed without confirmation in the first place.

Yeah, I almost never type 'git worktree add <directory>' without
"../" at the beginning of the directory, and every time I do so, I
do wonder if this is a UI pitfall that we should warn the users
about.  Perhaps we should start from documentation updates and
possibly a new warning or two?

Thanks.